summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'xfce-extra/xfce4-systemload-plugin/xfce4-systemload-plugin-1.1.99.ebuild')
-rw-r--r--xfce-extra/xfce4-systemload-plugin/xfce4-systemload-plugin-1.1.99.ebuild31
1 files changed, 31 insertions, 0 deletions
diff --git a/xfce-extra/xfce4-systemload-plugin/xfce4-systemload-plugin-1.1.99.ebuild b/xfce-extra/xfce4-systemload-plugin/xfce4-systemload-plugin-1.1.99.ebuild
new file mode 100644
index 00000000000..4dfd11e6265
--- /dev/null
+++ b/xfce-extra/xfce4-systemload-plugin/xfce4-systemload-plugin-1.1.99.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit xfconf
+
+DESCRIPTION="System load plug-in for Xfce panel"
+HOMEPAGE="http://goodies.xfce.org/projects/panel-plugins/xfce4-systemload-plugin"
+SRC_URI="mirror://xfce/src/panel-plugins/${PN}/${PV%.*}/${P}.tar.bz2"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~ia64-linux ~x86-linux"
+IUSE="debug upower"
+
+RDEPEND=">=xfce-base/libxfce4ui-4.12:=[gtk3(+)]
+ >=xfce-base/xfce4-panel-4.12:=
+ upower? ( || ( >=sys-power/upower-0.9.23 sys-power/upower-pm-utils ) )"
+DEPEND="${RDEPEND}
+ dev-util/intltool
+ virtual/pkgconfig"
+
+pkg_setup() {
+ XFCONF=(
+ $(use_enable upower)
+ $(xfconf_use_debug)
+ )
+
+ DOCS=( AUTHORS ChangeLog NEWS README )
+}